#!/usr/bin/env python3
'''
    template_demo.py
    Jeff Ondich, 4 May 2016

    Simple Flask app to show a little bit about templates.
'''
import sys
import flask

app = flask.Flask(__name__, static_folder='static', template_folder='templates')

@app.route('/') 
def get_main_page():
    name = flask.request.args.get('name', 'Nameless One')
    return flask.render_template('index.html', name=name)

@app.route('/animal/<animal>')
def get_animal_page(animal):
    return flask.render_template('animal.html', animal=animal, args=flask.request.args)

if __name__ == '__main__':
    if len(sys.argv) != 3:
        print('Usage: {0} host port'.format(sys.argv[0]), file=sys.stderr)
        exit()

    host = sys.argv[1]
    port = int(sys.argv[2])
    app.run(host=host, port=port, debug=True)

